---
title: "Unfollow profile"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › directory

`DELETE /v2/directory/{subjectType}/{listingId}/follow`

## Path parameters

- `subjectType` (`directory-unfollow-profile.path.subjectType`; string, required)
  - one of `"person"`, `"entity"`
- `listingId` (`directory-unfollow-profile.path.listingId`; string, required)
  - format `uuid`

## Code samples

### cURL

```bash
curl --request DELETE \
  --url 'https://api.sureshake.com/v2/directory/person/<listingId>/follow'
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/directory/person/<listingId>/follow';
const options = {method: 'DELETE'};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/directory/person/<listingId>/follow"

response = requests.delete(url)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
{
  "data": {
    "listingId": "8c73d933-f7ed-437e-9da1-caac95adc1ae",
    "subjectType": "person",
    "status": "following"
  }
}
```

- `data` (`directory-unfollow-profile.response.200.data`; object, required)
  - `listingId` (`directory-unfollow-profile.response.200.data.listingId`; string, required)
    - format `uuid`
  - `subjectType` (`directory-unfollow-profile.response.200.data.subjectType`; string, required)
    - one of `"person"`, `"entity"`
  - `status` (`directory-unfollow-profile.response.200.data.status`; string, required)
    - one of `"following"`, `"not_following"`

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`directory-unfollow-profile.response.400.error`; object, required)
  - `code` (`directory-unfollow-profile.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`directory-unfollow-profile.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`directory-unfollow-profile.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`directory-unfollow-profile.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`directory-unfollow-profile.response.401.error`; object, required)
  - `code` (`directory-unfollow-profile.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`directory-unfollow-profile.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`directory-unfollow-profile.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`directory-unfollow-profile.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`directory-unfollow-profile.response.403.error`; object, required)
  - `code` (`directory-unfollow-profile.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`directory-unfollow-profile.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`directory-unfollow-profile.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`directory-unfollow-profile.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`directory-unfollow-profile.response.404.error`; object, required)
  - `code` (`directory-unfollow-profile.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`directory-unfollow-profile.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`directory-unfollow-profile.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`directory-unfollow-profile.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 409

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`directory-unfollow-profile.response.409.error`; object, required)
  - `code` (`directory-unfollow-profile.response.409.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`directory-unfollow-profile.response.409.error.message`; string, required) — Human-readable error message
  - `details` (`directory-unfollow-profile.response.409.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`directory-unfollow-profile.response.409.error.traceId`; string, optional) — Unique ID for log correlation

### 429

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`directory-unfollow-profile.response.429.error`; object, required)
  - `code` (`directory-unfollow-profile.response.429.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`directory-unfollow-profile.response.429.error.message`; string, required) — Human-readable error message
  - `details` (`directory-unfollow-profile.response.429.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`directory-unfollow-profile.response.429.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`directory-unfollow-profile.response.500.error`; object, required)
  - `code` (`directory-unfollow-profile.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`directory-unfollow-profile.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`directory-unfollow-profile.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`directory-unfollow-profile.response.500.error.traceId`; string, optional) — Unique ID for log correlation

### 503

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`directory-unfollow-profile.response.503.error`; object, required)
  - `code` (`directory-unfollow-profile.response.503.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`directory-unfollow-profile.response.503.error.message`; string, required) — Human-readable error message
  - `details` (`directory-unfollow-profile.response.503.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`directory-unfollow-profile.response.503.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/directory-unfollow-profile/index.md
